diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 4a97819..bd18db3 100644
*** a/src/backend/commands/tablecmds.c
--- b/src/backend/commands/tablecmds.c
***************
*** 4014,4020 **** find_typed_table_dependencies(Oid typeOid, const char *typeName, DropBehavior be
  
  	scan = heap_beginscan(classRel, SnapshotNow, 1, key);
  
! 	if (HeapTupleIsValid(tuple = heap_getnext(scan, ForwardScanDirection)))
  	{
  		if (behavior == DROP_RESTRICT)
  			ereport(ERROR,
--- 4014,4020 ----
  
  	scan = heap_beginscan(classRel, SnapshotNow, 1, key);
  
! 	while ((tuple = heap_getnext(scan, ForwardScanDirection)) != NULL)
  	{
  		if (behavior == DROP_RESTRICT)
  			ereport(ERROR,
